Loading...
Searching...
No Matches
Atom Class Reference

`#include <avogadro/core/atom.h>`

Inheritance diagram for Atom:

## Public Member Functions

| Atom (Molecule *m, Index i)
Public Member Functions inherited from AtomTemplate< Molecule >
| AtomTemplate ()
bool | operator== (const AtomTemplate< MoleculeType > &other) const
bool | operator!= (const AtomTemplate< MoleculeType > &other) const
AtomTemplate< MoleculeType > & | operator++ ()
AtomTemplate< MoleculeType > & | operator-- ()
bool | isValid () const
MoleculeType * | molecule () const
Index | index () const
Real | mass () const
void | setSelected (bool selected)
bool | selected () const
void | setForceVector (const Vector3 &force)
Vector3 | forceVector () const
void | setLabel (const std::string &label)
std::string | label () const
void | setAtomicNumber (unsigned char num)
unsigned char | atomicNumber () const
void | setPosition2d (const Vector2 &pos)
Vector2 | position2d () const
void | setPosition3d (const Vector3 &pos)
Vector3 | position3d () const
void | setHybridization (AtomHybridization hyb)
AtomHybridization | hybridization () const
void | setFormalCharge (signed char charge)
signed char | formalCharge () const
void | setIsotope (unsigned short isotope)
unsigned short | isotope () const
void | setColor (Vector3ub color)
Vector3ub | color () const
void | setLayer (size_t layer)
size_t | layer () const

## Additional Inherited Members

Public Types inherited from AtomTemplate< Molecule >
using | MoleculeType

## Detailed Description

The atom class represents an atom in a molecule. To use the appropriate atom implementation for a specific molecule implementation, use the [MoleculeClass]::AtomType typedef.

The documentation for this class was generated from the following file:

- core/molecule.h